import django_filters
from django_filters.rest_framework import FilterSet

from event.models import Event


class EventFilter(FilterSet):
    event_name = django_filters.CharFilter(field_name='event_name', lookup_expr='icontains')

    class Meta:
        # 指定模型
        models = Event
        # 指定需要模糊查询的字段
        fields = ("event_name",)
