from django.db import models

# Create your models here.


class Event(models.Model):
    event_name = models.CharField(max_length=256, default='', verbose_name='事件名')
    create_time = models.DateTimeField(auto_now_add=True, verbose_name='创建时间')
    update_time = models.DateTimeField(auto_now=True, verbose_name='更新时间')

    class Meta:
        db_table = 'tp_event'
        ordering = ['-id']
